//////////////////////////////////////////////////////////
// Sketch library for ADT7410 (Analog Devices, Inc.)
// Example Sketch.
// Programmed by KEI SAKAKI. http://kei-sakaki.jp/

#include <Wire.h>
#include <adt7410.h>

ADT7410* adt7410;

void setup() {
  Serial.begin(115200);
  Serial.println("ADT7410 (Analog Devices, Inc.) Temperature IC Control Library Demo");
  adt7410 = new ADT7410();
}

void loop() {
  Serial.println(adt7410->readTemperature(true), 4);
  delay(1000);
}
